Bug 848548 (CVE-2012-4288)

Summary: CVE-2012-4288 wireshark: DoS via excessive resource consumption in XTP dissector (wnpa-sec-2012-15)
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: huzaifas, jsafrane, mapcode.mind, phatina, rvokal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120815,reported=20120815,source=internet,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,fedora-all/wireshark=affected,rhel-5/wireshark=notaffected,rhel-6/wireshark=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-21 22:14:31 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 848593, 994924, 1004712    
Bug Blocks: 848592, 974906    

Description Vincent Danen 2012-08-15 16:59:14 EDT
It may be possible to make Wireshark consume excessive CPU resources by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

Affects 1.4.0 to 1.4.14, 1.6.0 to 1.6.9, 1.8.0 to 1.8.1 and is fixed in upstream 1.8.2, 1.6.10, and 1.4.15 versions.

http://www.wireshark.org/security/wnpa-sec-2012-15.html
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7571
http://anonsvn.wireshark.org/viewvc?view=revision&revision=44289

Note: 1.0.x does not have the XTP dissector, 1.2.x does so is probably affected.


Statement:

This issue did not affect the versions of wireshark as shipped with Red Hat Enterprise Linux 5.
Comment 1 Vincent Danen 2012-08-15 18:09:47 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 848593]
Comment 4 Fedora Update System 2012-08-27 18:55:05 EDT
wireshark-1.6.10-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-08-27 19:04:43 EDT
wireshark-1.6.10-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 errata-xmlrpc 2013-11-21 02:29:38 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1569 https://rhn.redhat.com/errata/RHSA-2013-1569.html
Comment 9 Huzaifa S. Sidhpurwala 2013-11-21 22:13:39 EST
Statement:

(none)